﻿using Microsoft.VisualBasic;
using PIbd_24_EredavkinRA_BusBusiness.Entities.Enums;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PIbd_24_EredavkinRA_BusBusiness.Entities;

public class To
{
    public int Id { get; private set; }
    public int BusID { get; private set; } 
    public int StaffID { get; private set; }
    public string Discription { get; private set; } = string.Empty;

    public double Cost { get; private set; }
    public DateTime DateTo { get; private set; }

    public static To CreatOperation(int id, string discription, double cost, DateTime dateTo, int busid, int staffid)
    {
        return new To()
        {
            Id = id,
            Discription = discription ?? string.Empty,
            Cost = cost,
            DateTo = dateTo,
            BusID = busid, 
            StaffID = staffid
        };
    }

}
